## r-cran-tweenr 1.0.1

=== DESCRIPTION ===
Package: tweenr
Type: Package
Title: Interpolate Data for Smooth Animations
Version: 1.0.1
Date: 2018-12-14
Authors@R: c(
    person('Thomas Lin', 'Pedersen', , 'thomasp85@gmail.com', c('aut', 'cre'))
    )
Maintainer: Thomas Lin Pedersen <thomasp85@gmail.com>
Description: In order to create smooth animation between states of data,
    tweening is necessary. This package provides a range of functions for
    creating tweened data that can be used as basis for animation. Furthermore 
    it adds a number of vectorized interpolaters for common R data 
    types such as numeric, date and colour.
URL: https://github.com/thomasp85/tweenr
BugReports: https://github.com/thomasp85/tweenr/issues
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: TRUE
Depends: R (>= 3.2.0)
Imports: Rcpp (>= 0.12.3), grDevices, farver, magrittr, rlang
LinkingTo: Rcpp
RoxygenNote: 6.1.1
Suggests: testthat, covr
NeedsCompilation: yes
Packaged: 2018-12-14 13:16:06 UTC; thomas
Author: Thomas Lin Pedersen [aut, cre]
Repository: CRAN
Date/Publication: 2018-12-14 13:40:03 UTC

=== debian/changelog ===
r-cran-tweenr (1.0.1-2) unstable; urgency=medium

  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 27 Dec 2019 18:14:51 +0100

r-cran-tweenr (1.0.1-1) unstable; urgency=medium

  * Initial release (closes: #945063)

 -- Andreas Tille <tille@debian.org>  Tue, 19 Nov 2019 09:27:58 +0100

=== debian/control ===
Source: r-cran-tweenr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>,
           Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-rcpp (>= 0.12.3),
               r-cran-farver,
               r-cran-magrittr,
               r-cran-rlang
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tweenr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tweenr.git
Homepage: https://cran.r-project.org/package=tweenr

Package: r-cran-tweenr
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R interpolate data for smooth animations
 In order to create smooth animation between states of data,
 tweening is necessary. This package provides a range of functions for
 creating tweened data that can be used as basis for animation. Furthermore
 it adds a number of vectorized interpolaters for common R data
 types such as numeric, date and colour.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/tweenr_([-\d.]*)\.tar\.gz

## r-cran-tweenr 1.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Package: tweenr
 Type: Package
 Title: Interpolate Data for Smooth Animations
-Version: 1.0.1
-Date: 2018-12-14
-Authors@R: c(
-    person('Thomas Lin', 'Pedersen', , 'thomasp85@gmail.com', c('aut', 'cre'))
-    )
+Version: 1.0.2
+Authors@R: 
+    c(person(given = "Thomas Lin",
+             family = "Pedersen",
+             role = c("aut", "cre"),
+             email = "thomasp85@gmail.com",
+             comment = c(ORCID = "0000-0002-5147-4711")))
 Maintainer: Thomas Lin Pedersen <thomasp85@gmail.com>
 Description: In order to create smooth animation between states of data,
     tweening is necessary. This package provides a range of functions for
@@ -20,10 +22,11 @@
 Depends: R (>= 3.2.0)
 Imports: Rcpp (>= 0.12.3), grDevices, farver, magrittr, rlang
 LinkingTo: Rcpp
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.1.9001
 Suggests: testthat, covr
 NeedsCompilation: yes
-Packaged: 2018-12-14 13:16:06 UTC; thomas
+Packaged: 2021-03-23 13:21:28 UTC; thomas
 Author: Thomas Lin Pedersen [aut, cre]
+    (<https://orcid.org/0000-0002-5147-4711>)
 Repository: CRAN
-Date/Publication: 2018-12-14 13:40:03 UTC
+Date/Publication: 2021-03-23 15:40:02 UTC

=== debian/changelog ===
r-cran-tweenr (1.0.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 Aug 2021 07:57:32 +0200

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,18 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp (>= 0.12.3),
                r-cran-farver,
                r-cran-magrittr,
                r-cran-rlang
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tweenr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tweenr.git
 Homepage: https://cran.r-project.org/package=tweenr
+Rules-Requires-Root: no
 
 Package: r-cran-tweenr
 Architecture: any

## r-cran-tweenr 2.0.1

=== debian/changelog ===
r-cran-tweenr (2.0.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 22 Aug 2022 14:47:24 +0200

## r-cran-tweenr 2.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tweenr
 Type: Package
 Title: Interpolate Data for Smooth Animations
-Version: 1.0.2
+Version: 2.0.2
 Authors@R: 
     c(person(given = "Thomas Lin",
              family = "Pedersen",
@@ -18,15 +18,15 @@
 BugReports: https://github.com/thomasp85/tweenr/issues
 License: MIT + file LICENSE
 Encoding: UTF-8
-LazyData: TRUE
 Depends: R (>= 3.2.0)
-Imports: Rcpp (>= 0.12.3), grDevices, farver, magrittr, rlang
-LinkingTo: Rcpp
-RoxygenNote: 7.1.1.9001
+Imports: farver, magrittr, rlang, vctrs
+LinkingTo: cpp11 (>= 0.4.2)
+RoxygenNote: 7.2.1
 Suggests: testthat, covr
+SystemRequirements: C++11
 NeedsCompilation: yes
-Packaged: 2021-03-23 13:21:28 UTC; thomas
+Packaged: 2022-09-06 07:43:28 UTC; thomas
 Author: Thomas Lin Pedersen [aut, cre]
     (<https://orcid.org/0000-0002-5147-4711>)
 Repository: CRAN
-Date/Publication: 2021-03-23 15:40:02 UTC
+Date/Publication: 2022-09-06 08:00:02 UTC

=== debian/changelog ===
r-cran-tweenr (2.0.2-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 19 Sep 2022 11:24:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: r-cran-tweenr
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>,
            Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tweenr
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tweenr.git
+Homepage: https://cran.r-project.org/package=tweenr
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcpp (>= 0.12.3),
                r-cran-farver,
                r-cran-magrittr,
-               r-cran-rlang
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tweenr
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tweenr.git
-Homepage: https://cran.r-project.org/package=tweenr
-Rules-Requires-Root: no
+               r-cran-rlang,
+               r-cran-vctrs,
+               r-cran-cpp11 (>= 0.4.2)
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-tweenr
 Architecture: any

## r-cran-tweenr 2.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tweenr
 Type: Package
 Title: Interpolate Data for Smooth Animations
-Version: 2.0.2
+Version: 2.0.3
 Authors@R: 
     c(person(given = "Thomas Lin",
              family = "Pedersen",
@@ -21,12 +21,11 @@
 Depends: R (>= 3.2.0)
 Imports: farver, magrittr, rlang, vctrs
 LinkingTo: cpp11 (>= 0.4.2)
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 Suggests: testthat, covr
-SystemRequirements: C++11
 NeedsCompilation: yes
-Packaged: 2022-09-06 07:43:28 UTC; thomas
+Packaged: 2024-02-26 13:06:33 UTC; thomas
 Author: Thomas Lin Pedersen [aut, cre]
     (<https://orcid.org/0000-0002-5147-4711>)
 Repository: CRAN
-Date/Publication: 2022-09-06 08:00:02 UTC
+Date/Publication: 2024-02-26 13:50:03 UTC

=== debian/changelog ===
r-cran-tweenr (2.0.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * d/control: remove myself from Uploaders (keep Andreas Tille).

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 24 Mar 2024 10:47:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Joost van Baal-Ilić <joostvb@debian.org>,
-           Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tweenr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tweenr.git
 Homepage: https://cran.r-project.org/package=tweenr
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
